VkBufferCreateInfo Struct Reference

`#include <vulkan.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkBufferCreateFlags | flags
VkDeviceSize | size
VkBufferUsageFlags | usage
VkSharingMode | sharingMode
uint32_t | queueFamilyIndexCount
const uint32_t * | pQueueFamilyIndices

## Detailed Description

Definition at line 1830 of file vulkan.h.

## Field Documentation

## flags

VkBufferCreateFlags VkBufferCreateInfo::flags

Definition at line 1833 of file vulkan.h.

## pNext

const void* VkBufferCreateInfo::pNext

Definition at line 1832 of file vulkan.h.

## pQueueFamilyIndices

const uint32_t* VkBufferCreateInfo::pQueueFamilyIndices

Definition at line 1838 of file vulkan.h.

## queueFamilyIndexCount

uint32_t VkBufferCreateInfo::queueFamilyIndexCount

Definition at line 1837 of file vulkan.h.

## sharingMode

VkSharingMode VkBufferCreateInfo::sharingMode

Definition at line 1836 of file vulkan.h.

## size

VkDeviceSize VkBufferCreateInfo::size

Definition at line 1834 of file vulkan.h.

## sType

VkStructureType VkBufferCreateInfo::sType

Definition at line 1831 of file vulkan.h.

## usage

VkBufferUsageFlags VkBufferCreateInfo::usage

Definition at line 1835 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h